> For the complete documentation index, see [llms.txt](https://docs.talus.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.talus.network/talus-docs-v2.1.0/reference/move/nexus_tool/external_verifier.md).

# nexus\_tool::external\_verifier

* [Struct `ExternalVerifier`](#struct-externalverifier)
* [Struct `ExternalVerifierRegistration`](#struct-externalverifierregistration)
* [Constants](#constants)
* [Function `new`](#function-new)
* [Function `add_object`](#function-add_object)
* [Function `method`](#function-method)
* [Function `witness`](#function-witness)
* [Function `immutable_shared_objects`](#function-immutable_shared_objects)

### Struct `ExternalVerifier`

Concrete external call target and its ordered immutable shared object IDs.

```move
public struct ExternalVerifier has copy, drop, store
```

<details>

<summary>Fields</summary>

[`method`](#nexus_tool_external_verifier_method)`:` [`nexus_interface::verifier::VerifierMethodId`](/talus-docs-v2.1.0/reference/move/nexus_interface/verifier.md#nexus_interface_verifier_VerifierMethodId)[`witness`](#nexus_tool_external_verifier_witness)`: sui::object::ID`[`immutable_shared_objects`](#nexus_tool_external_verifier_immutable_shared_objects)`: vector<sui::object::ID>`

</details>

#### Struct `ExternalVerifierRegistration`

Builder consumed when an external verifier is registered for a Tool.

```move
public struct ExternalVerifierRegistration
```

<details>

<summary>Fields</summary>

[`method`](#nexus_tool_external_verifier_method)`:` [`nexus_interface::verifier::VerifierMethodId`](/talus-docs-v2.1.0/reference/move/nexus_interface/verifier.md#nexus_interface_verifier_VerifierMethodId)[`witness`](#nexus_tool_external_verifier_witness)`: sui::object::ID`[`immutable_shared_objects`](#nexus_tool_external_verifier_immutable_shared_objects)`: vector<sui::object::ID>`

</details>

#### Constants

```move
#[error]
const EDuplicateVerifierObject: vector<u8> = b"Verifier objects must be unique";
```

#### Function `new`

Creates a registration with \[[`witness`](#nexus_tool_external_verifier_witness)] as immutable object zero.

```move
public fun new<W: key>(tool: sui::object::ID, package: sui::object::ID, module_name: std::ascii::String, function_name: std::ascii::String, witness: &W): nexus_tool::external_verifier::ExternalVerifierRegistration
```

#### Function `add_object`

Appends an immutable shared object argument to this registration.

```move
public fun add_object<T: key>(self: &mut nexus_tool::external_verifier::ExternalVerifierRegistration, object: &T)
```

#### Function `method`

Returns the configured verifier method.

```move
public fun method(self: &nexus_tool::external_verifier::ExternalVerifier): nexus_interface::verifier::VerifierMethodId
```

#### Function `witness`

Returns the verifier witness object ID.

```move
public fun witness(self: &nexus_tool::external_verifier::ExternalVerifier): sui::object::ID
```

#### Function `immutable_shared_objects`

Returns the ordered immutable shared object arguments.

```move
public fun immutable_shared_objects(self: &nexus_tool::external_verifier::ExternalVerifier): vector<sui::object::ID>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.talus.network/talus-docs-v2.1.0/reference/move/nexus_tool/external_verifier.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
